Player = Object:extend()

function Player:new(x, y)
    self.x = x
    self.y = y
    self.width = 16
    self.height = 24
    --- physic setup
    self.collider = world:newRectangleCollider(self.x, self.y, self.width, self.height)
end

function Player:update(dt)
    self.x = self.collider:getX()
    self.y = self.collider:getY()
   
    if love.keyboard.isDown('a') then
        self.collider:applyForce(-400, 0)
    end
    if love.keyboard.isDown('d') then
        self.collider:applyForce(400, 0)
    end
end

function Player:draw()
    love.graphics.setColor(1, 1, 1)
    love.graphics.rectangle('fill', self.x - self.width / 2, self.y - self.height / 2, self.width, self.height)
end