function love.load()
    Object = require'classic'
    anim8 = require 'anim8'
    love.graphics.setDefaultFilter('nearest', 'nearest')
    Camera = require "Camera"
    camera = Camera()
    --camera:setFollowStyle('PLATFORMER')
    camera:setFollowStyle('SCREEN_BY_SCREEN')
    camera.scale = 1
    ---- physics library
    wf = require 'windfield-master/windfield'
    world = wf.newWorld(0, 0, true)
    love.physics.setMeter(30)
    world:setGravity(0, 981)
    ---add player
    require 'player'
    player = Player(400, 300)
    -- add some platforms
    require 'block'
    block = Block(0, 500, 1000, 30)
end

function love.keypressed(key)
    if key == 'w' then
        player.collider:applyForce(0, -10000)
    end
end

function love.update(dt)
    camera:update(dt)
    camera:follow(player.x + player.width / 2, player.y + player.height / 2)
    player:update()
    --- update physics
    world:update(dt)
end

function love.draw()
  camera:attach()
    player:draw()
    block:draw()
    world:draw()
  camera:detach()
  camera:draw()
end